# Uses of Interface
org.eclipse.ecf.core.sharedobject.util.ISharedObjectMessageSerializer

Packages that use ISharedObjectMessageSerializer
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic

## Uses of ISharedObjectMessageSerializer in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectMessageSerializer
Modifier and Type
Method
Description
`void`
ISharedObjectContainer.`setSharedObjectMessageSerializer(ISharedObjectMessageSerializer serializer)`
Set the shared object message serializer.

## Uses of ISharedObjectMessageSerializer in org.eclipse.ecf.provider.generic

Fields in org.eclipse.ecf.provider.generic declared as ISharedObjectMessageSerializer
Modifier and Type
Field
Description
`protected ISharedObjectMessageSerializer`
SOContainer.`sharedObjectMessageSerializer`
Methods in org.eclipse.ecf.provider.generic that return ISharedObjectMessageSerializer
Modifier and Type
Method
Description
`protected ISharedObjectMessageSerializer`
SOContainer.`getSharedObjectMessageSerializer()`
Methods in org.eclipse.ecf.provider.generic with parameters of type ISharedObjectMessageSerializer
Modifier and Type
Method
Description
`void`
SOContainer.`setSharedObjectMessageSerializer(ISharedObjectMessageSerializer serializer)`